Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.engine.jasperreports.util
Class JRQueryExecuterAdapter.ReportQueryDataset

    java.lang.Object
      com.jaspersoft.jasperserver.api.engine.jasperreports.util.JRQueryExecuterAdapter.ReportQueryDataset

All Implemented Interfaces:
  net.sf.jasperreports.engine.JRDataset, net.sf.jasperreports.engine.JRPropertiesHolder

Enclosing class:
  JRQueryExecuterAdapter

    protected static class JRQueryExecuterAdapter.ReportQueryDataset

extends java.lang.Object
implements net.sf.jasperreports.engine.JRDataset

Field Summary

Fields inherited from interface net.sf.jasperreports.engine.JRDataset
`WHEN_RESOURCE_MISSING_TYPE_EMPTY, WHEN_RESOURCE_MISSING_TYPE_ERROR, WHEN_RESOURCE_MISSING_TYPE_KEY, WHEN_RESOURCE_MISSING_TYPE_NULL`

Constructor Summary
`JRQueryExecuterAdapter.ReportQueryDataset(net.sf.jasperreports.engine.JasperReport report, Query query, net.sf.jasperreports.engine.query.JRQueryExecuterFactory queryExecuterFactory)`

Method Summary
`net.sf.jasperreports.engine.JRField[]` | `getFields()`
`net.sf.jasperreports.engine.JRExpression` | `getFilterExpression()`
`net.sf.jasperreports.engine.JRGroup[]` | `getGroups()`
`java.lang.String` | `getName()`
`net.sf.jasperreports.engine.JRParameter[]` | `getParameters()`
`net.sf.jasperreports.engine.JRPropertiesMap` | `getPropertiesMap()`
`net.sf.jasperreports.engine.JRQuery` | `getQuery()`
`java.lang.String` | `getResourceBundle()`
`java.lang.String` | `getScriptletClass()`
`net.sf.jasperreports.engine.JRSortField[]` | `getSortFields()`
`net.sf.jasperreports.engine.JRVariable[]` | `getVariables()`
`byte` | `getWhenResourceMissingType()`
`boolean` | `isMainDataset()`
`void` | `setWhenResourceMissingType(byte type)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JRQueryExecuterAdapter.ReportQueryDataset

    public JRQueryExecuterAdapter.ReportQueryDataset(net.sf.jasperreports.engine.JasperReport report,
                                                     Query query,
                                                     net.sf.jasperreports.engine.query.JRQueryExecuterFactory queryExecuterFactory)

Method Detail

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `net.sf.jasperreports.engine.JRDataset`

### getScriptletClass

    public java.lang.String getScriptletClass()

  Specified by:
    `getScriptletClass` in interface `net.sf.jasperreports.engine.JRDataset`

### getParameters

    public net.sf.jasperreports.engine.JRParameter[] getParameters()

  Specified by:
    `getParameters` in interface `net.sf.jasperreports.engine.JRDataset`

### getQuery

    public net.sf.jasperreports.engine.JRQuery getQuery()

  Specified by:
    `getQuery` in interface `net.sf.jasperreports.engine.JRDataset`

### getFields

    public net.sf.jasperreports.engine.JRField[] getFields()

  Specified by:
    `getFields` in interface `net.sf.jasperreports.engine.JRDataset`

### getVariables

    public net.sf.jasperreports.engine.JRVariable[] getVariables()

  Specified by:
    `getVariables` in interface `net.sf.jasperreports.engine.JRDataset`

### getGroups

    public net.sf.jasperreports.engine.JRGroup[] getGroups()

  Specified by:
    `getGroups` in interface `net.sf.jasperreports.engine.JRDataset`

### isMainDataset

    public boolean isMainDataset()

  Specified by:
    `isMainDataset` in interface `net.sf.jasperreports.engine.JRDataset`

### getResourceBundle

    public java.lang.String getResourceBundle()

  Specified by:
    `getResourceBundle` in interface `net.sf.jasperreports.engine.JRDataset`

### getWhenResourceMissingType

    public byte getWhenResourceMissingType()

  Specified by:
    `getWhenResourceMissingType` in interface `net.sf.jasperreports.engine.JRDataset`

### setWhenResourceMissingType

    public void setWhenResourceMissingType(byte type)

  Specified by:
    `setWhenResourceMissingType` in interface `net.sf.jasperreports.engine.JRDataset`

### getPropertiesMap

    public net.sf.jasperreports.engine.JRPropertiesMap getPropertiesMap()

  Specified by:
    `getPropertiesMap` in interface `net.sf.jasperreports.engine.JRPropertiesHolder`

### getFilterExpression

    public net.sf.jasperreports.engine.JRExpression getFilterExpression()

  Specified by:
    `getFilterExpression` in interface `net.sf.jasperreports.engine.JRDataset`

### getSortFields

    public net.sf.jasperreports.engine.JRSortField[] getSortFields()

  Specified by:
    `getSortFields` in interface `net.sf.jasperreports.engine.JRDataset`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.